#################################################################################################
#
# CREATE RECORDERS
#
# Writen by:  Erol Kalkan
# Last modified:  May 2004
#
# Objective: 
#
################################################################################################  
#puts "GM in output-process: $GM"

# Set destination directory for output:
file mkdir ../13-Story_Unscaled/output/M_$GM
set filename "../13-Story_Unscaled/output/M_$GM"


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Nodal Acceleration at each floor
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Node "$filename/acceleration.out" accel -time -node 11 18 25 32 39 46 53 60 67 74 81 88 95 102 -dof 1

################################################################################################  
# Displacement dof 1 at each floor
recorder Node -file $filename/Floor_1_Displ.out -node 11 -dof 1 disp
recorder Node -file $filename/Floor_2_Displ.out -node 18 -dof 1 disp
recorder Node -file $filename/Floor_3_Displ.out -node 25 -dof 1 disp
recorder Node -file $filename/Floor_4_Displ.out -node 32 -dof 1 disp
recorder Node -file $filename/Floor_5_Displ.out -node 39 -dof 1 disp
recorder Node -file $filename/Floor_6_Displ.out -node 46 -dof 1 disp
recorder Node -file $filename/Floor_7_Displ.out -node 53 -dof 1 disp
recorder Node -file $filename/Floor_8_Displ.out -node 60 -dof 1 disp
recorder Node -file $filename/Floor_9_Displ.out -node 67 -dof 1 disp
recorder Node -file $filename/Floor_10_Displ.out -node 74 -dof 1 disp
recorder Node -file $filename/Floor_11_Displ.out -node 81 -dof 1 disp
recorder Node -file $filename/Floor_12_Displ.out -node 88 -dof 1 disp
recorder Node -file $filename/Floor_13_Displ.out -node 95 -dof 1 disp
recorder Node -file $filename/Floor_14_Displ.out -node 102 -dof 1 disp

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Inter Story Drift at each floor
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Drift $filename/Story_1_Drift.out 1 8 1 2
recorder Drift $filename/Story_2_Drift.out 8 15 1 2
recorder Drift $filename/Story_3_Drift.out 15 22 1 2
recorder Drift $filename/Story_4_Drift.out 22 29 1 2
recorder Drift $filename/Story_5_Drift.out 29 36 1 2
recorder Drift $filename/Story_6_Drift.out 36 43 1 2
recorder Drift $filename/Story_7_Drift.out 43 50 1 2
recorder Drift $filename/Story_8_Drift.out 50 57 1 2
recorder Drift $filename/Story_9_Drift.out 57 64 1 2
recorder Drift $filename/Story_10_Drift.out 64 71 1 2
recorder Drift $filename/Story_11_Drift.out 71 78 1 2
recorder Drift $filename/Story_12_Drift.out 78 85 1 2
recorder Drift $filename/Story_13_Drift.out 85 92 1 2
recorder Drift $filename/Story_14_Drift.out 92 99 1 2

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Forces in floor column elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file $filename/Fl_1_Cols_Forces.out -ele 11 12 13 14 15 16 globalForce 
recorder Element -file $filename/Fl_2_Cols_Forces.out -ele 21 22 23 24 25 26 globalForce 
recorder Element -file $filename/Fl_3_Cols_Forces.out -ele 31 32 33 34 35 36 globalForce 
recorder Element -file $filename/Fl_4_Cols_Forces.out -ele 41 42 43 44 45 46 globalForce 
recorder Element -file $filename/Fl_5_Cols_Forces.out -ele 51 52 53 54 55 56 globalForce 
recorder Element -file $filename/Fl_6_Cols_Forces.out -ele 61 62 63 64 65 66 globalForce 
recorder Element -file $filename/Fl_7_Cols_Forces.out -ele 71 72 73 74 75 76 globalForce 
recorder Element -file $filename/Fl_8_Cols_Forces.out -ele 81 82 83 84 85 86 globalForce 
recorder Element -file $filename/Fl_9_Cols_Forces.out -ele 91 92 93 94 95 96 globalForce 
recorder Element -file $filename/Fl_10_Cols_Forces.out -ele 101 102 103 104 105 106 globalForce 
recorder Element -file $filename/Fl_11_Cols_Forces.out -ele 111 112 113 114 115 116 globalForce 
recorder Element -file $filename/Fl_12_Cols_Forces.out -ele 121 122 123 124 125 126 globalForce 
recorder Element -file $filename/Fl_13_Cols_Forces.out -ele 131 132 133 134 135 136 globalForce 
recorder Element -file $filename/Fl_14_Cols_Forces.out -ele 141 142 143 144 145 146 globalForce 

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Plastic Deformation at column elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file $filename/pl_def_all_cols_1.out -ele 11 12 13 14 15 16 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_2.out -ele 21 22 23 24 25 26 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_3.out -ele 31 32 33 34 35 36 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_4.out -ele 41 42 43 44 45 46 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_5.out -ele 51 52 53 54 55 56 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_6.out -ele 61 62 63 64 65 66 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_7.out -ele 71 72 73 74 75 76 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_8.out -ele 81 82 83 84 85 86 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_9.out -ele 91 92 93 94 95 96 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_10.out -ele 101 102 103 104 105 106 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_11.out -ele 111 112 113 114 115 116 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_12.out -ele 121 122 123 124 125 126 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_13.out -ele 131 132 133 134 135 136 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_14.out -ele 141 142 143 144 145 146 plasticDeformation

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Forces in floor beam elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file $filename/Fl_1_Cols_Forces.out -ele 11 12 13 14 15 16 globalForce 
recorder Element -file $filename/Fl_2_Cols_Forces.out -ele 21 22 23 24 25 26 globalForce 
recorder Element -file $filename/Fl_3_Cols_Forces.out -ele 31 32 33 34 35 36 globalForce 
recorder Element -file $filename/Fl_4_Cols_Forces.out -ele 41 42 43 44 45 46 globalForce 
recorder Element -file $filename/Fl_5_Cols_Forces.out -ele 51 52 53 54 55 56 globalForce 
recorder Element -file $filename/Fl_6_Cols_Forces.out -ele 61 62 63 64 65 66 globalForce 
recorder Element -file $filename/Fl_7_Cols_Forces.out -ele 71 72 73 74 75 76 globalForce 
recorder Element -file $filename/Fl_8_Cols_Forces.out -ele 81 82 83 84 85 86 globalForce 
recorder Element -file $filename/Fl_9_Cols_Forces.out -ele 91 92 93 94 95 96 globalForce 
recorder Element -file $filename/Fl_10_Cols_Forces.out -ele 101 102 103 104 105 106 globalForce 
recorder Element -file $filename/Fl_11_Cols_Forces.out -ele 111 112 113 114 115 116 globalForce 
recorder Element -file $filename/Fl_12_Cols_Forces.out -ele 121 122 123 124 125 126 globalForce 
recorder Element -file $filename/Fl_13_Cols_Forces.out -ele 131 132 133 134 135 136 globalForce 
recorder Element -file $filename/Fl_14_Cols_Forces.out -ele 141 142 143 144 145 146 globalForce 

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Plastic Deformation at Beam elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file $filename/pl_def_all_beams_1.out -ele 5101 5102 5103 5104 5105 5106 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_2.out -ele 5201 5202 5203 5204 5205 5206 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_3.out -ele 5301 5302 5303 5304 5305 5306 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_4.out -ele 5401 5402 5403 5404 5405 5406 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_5.out -ele 5501 5502 5503 5504 5505 5506 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_6.out -ele 5601 5602 5603 5604 5605 5606 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_7.out -ele 5701 5702 5703 5704 5705 5706 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_8.out -ele 5801 5802 5803 5804 5805 5806 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_9.out -ele 5901 5902 5903 5904 5905 5906 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_10.out -ele 51001 51002 51003 51004 51005 51006 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_11.out -ele 51101 51102 51103 51104 51105 51106 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_12.out -ele 51201 51202 51203 51204 51205 51206 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_13.out -ele 51301 51302 51303 51304 51305 51306 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_14.out -ele 51401 51402 51403 51404 51405 51406 plasticDeformation

################################################################################################  
