#################################################################################################
#
# Cross Section Generator
#
# Writen by:  Erol Kalkan
# Last modified:  Sept 2003
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  

#####################################################################
  # proc Wsection { secID matID d tw bf tf nfdw nftw nfbf nftf} 

  # input parameters
  # secID - section ID number
  # matID - material ID number 
  # d  = nominal depth
  # tw = web thickness
  # bf = flange width
  # tf = flange thickness
  # nfdw = number of fibers along web depth 
  # nftw = number of fibers along web thickness
  # nfbf = number of fibers along flange width
  # nftf = number of fibers along flange thickness

	#====================================================================================#									
	#	      matID	  t3     tw	  t2	  tf	nfdw	nftw	nfbf	nftf #
	#====================================================================================#									

	source wsectiona.tcl									

# BEAM SECTIONS~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#	Section W36x194									
	wsectiona 1	1	36.5 	0.765	12.1	1.26	20	4	4	10

#	Section W36x230									
	wsectiona 2	1	35.9 	0.76	16.5	1.26	20	4	4	10

#	Section W33x152									
	wsectiona 3	1	33.5 	0.635	11.6	1.06	20	4	4	10

#	Section W33x141									
	wsectiona 4	1	33.3	0.605	11.5	0.96	20	4	4	10

#	Section W33x130									
	wsectiona 5	1	33.1	0.58	11.5  0.855	20	4	4	10

#	Section W33X118									
	wsectiona 6	1	32.9	0.55	11.5	0.74	20	4	4	10

#	Section W27x84									
	wsectiona 7	1	26.70	0.46	9.96	0.64	20	4	4	10

# COLUMN SECTIONS~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#	Section W14x500									
	wsectiona 8	1	19.60	2.19	17.0	3.5	20	4	4	10

#	Section W14x426									
	wsectiona 9	1	18.7	1.88	16.7	3.04	20	4	4	10

#	Section W14x398									
	wsectiona 10 1	18.3	1.77	16.6	2.85	20	4	4	10

#	Section W14X311									
	wsectiona 11 1	17.1  1.41	16.2	2.26	20	4	4	10

#	Section W14x283									
	wsectiona 12 1	16.7	1.29	16.1	2.07	20	4	4	10

#	Section W14x257									
	wsectiona 13 1	16.4	1.18	16.0	1.89	20	4	4	10

#	Section W14x159									
	wsectiona 14 1	15.0	0.745	15.6	1.19	20	4	4	10

#####################################################################
puts "Finished creating cross sections..."






